<?php

/*
___________________________________________
Подарки Для JohnCms 3.хх
Автор - FlySelf
Сайт поддержки - http://o5we.ru (форум)
ICQ - 629292
___________________________________________

*/

define('_IN_JOHNCMS', 1);
$headmod = 'present';
$money = 0;
$textl = 'Подарки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
if ($user_id) {
    switch ($act) {
        case 'add':
            $user = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`='$id'"), 0);
            if (!$user || $id == $user_id) {
                echo display_error('Не выбран пользователь');
            }
            else {
                $array = array();
                $dir = opendir("../images/present");
                while ($file = readdir($dir)) {
                    if (($file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "Thumbs.db")) {
                        $array[] = $file;
                    }
                }
                closedir($dir);
                $total = count($array);
                echo '<div class="phdr"><b>Выберите подарок</b></div><div class="gmenu">За сделанный подарок с Вашего игрового баланса будет списано ' . $money . ' монет. Ваш баланс&nbsp;-&nbsp;' . $datauser['balans'] . '</div>';
                if ($total > 0) {
                    $end = $start + $kmess;
                    if ($end > $total)
                        $end = $total;
                    for ($i = $start; $i < $end; $i++) {
                        echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                        echo '<img src="' . $home . '/images/present/' . $array[$i] . '" alt="" /> <div class="sub"></div>';
                        echo '<a href="' . $home . '/present/add/2/' . checkout($array[$i]) . ',' . $id . '">Подарить &raquo;</a></div>';
                    }
                    echo '<div class="phdr">Всего: ' . $total . '</div>';
                    if ($total > $kmess) {
                        echo '<div class="list1"><p>' . navigation($id, $start, $total, $kmess) . '</p>';
                        echo '<p><form action="' . $id . ',0" method="post"><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p></div>';
                    }
                }
                else {
                    echo 'Подарков нет.';
                }
                echo '<div class="list2"><a href="' . $home . '/str/anketa.php?id=' . $id . '">Анкета пользователя</a></div>';
            }
            break;
        case 'add2':
            $user = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`='$id'"), 0);
            $error = array();
            if (!$user || $id == $user_id)
                $error[] = 'Не выбран пользователь';
            if ($datauser['balans'] < $money)
                $error[] = 'Недостаточно средств!';
            $file = isset($_GET['podarok']) ? trim($_GET['podarok']):
            '';
            $file = str_replace("\0", '_', $file);
            $file = str_replace('./', '_', $file);
            $images = array('gif', 'png', 'jpg');
            $f1 = strrpos($file, '.');
            $f2 = substr($file, $f1 + 1, 999);
            $format = strtolower($f2);
            if (!in_array($format, $images) || !is_file('../images/present/' . $file))
                $error[] = 'Не выбран подарок';
            if ($error) {
                echo display_error($error);
            }
            else {
                $file = check($file);
                if (isset($_POST['submit'])) {
                    $old = ($rights > 0) ? 5 : 10;
                    $text = trim($_POST['text']);
                    if ($datauser['lastpost'] > ($realtime - $old))
                        $error[] = '<b>Антифлуд!</b> Вы не можете так часто отправлять подарок. Порог ' . $old . ' секунд';
                    if (empty($text))
                        $error[] = 'Вы не ввели комментарий';
                    if ($error) {
                        $error[] = '<a href="' . $home . '/present/add/2/' . $file . ',' . $id . '">Повторить</a>';
                        echo display_error($error);
                    }
                    else {
                        $text = mysql_real_escape_string(mb_substr($text, 0, 200));
                        $type = isset($_POST['type']) ? 1 : 0;
                        mysql_query("INSERT INTO `present` SET `vr`='$realtime', `podaril`='$user_id', `podarili`='$id', `present`='$file', `type`='$type', `text`='$text'");
                        $balans = $datauser['balans'] - $money;
                        mysql_query("UPDATE `users` SET `lastpost` = '$realtime',`balans` = '$balans' WHERE `id` = '$user_id' LIMIT 1");
                        echo '<div class="gmenu">Подарок отправлен!<br /><a href="' . $home . '/str/anketa.php?id=' . $id . '">Назад</a></div>';
                    }
                }
                else {
                    echo '<form action="' . $home . '/present/add/2/' . $file . ',' . $id . '" method="post"><div class="phdr"><b>Комментарий</b> (мах. 200)</div>';
                    if (isset($_GET['faq'])) {
                        echo '<div class="rmenu">При анонимном режиме отправки подарка, не будет видно кто отправил подарок.</div>';
                    }
                    echo '<div class="menu"><textarea rows="4" name="text"></textarea></div><div class="menu"><input type="checkbox" name="type" value="1" /> Анонимно [<a href="' . $home . '/present/add/2/' . $file . ',' . $id . ',faq">?</a>]</div><div class="b"><input type="submit" name="submit" value="Отправить подарок"/></div></form><div class="list2"><a href="' . $home . '/present/add/1/' . $id . ',0">Назад</a></div>';
                }
            }
            break;
        case 'user':
            if ($id && $id != $user_id) {
                $req = mysql_query("SELECT `name` FROM `users` WHERE `id` = '$id' LIMIT 1");
                if (mysql_num_rows($req)) {
                    $user = mysql_fetch_assoc($req);
                    $name_pages = 'Подарки: ' . $user['name'];
                }
                else {
                    echo display_error('Такого пользователя не существует');
                    require_once ("../incfiles/end.php");
                    exit;
                }
            }
            else {
                $id = $user_id;
                $name_pages = 'Мои подарки';
            }
            echo '<div class="phdr"><b>' . $name_pages . '</b></div>';
            $colmes = mysql_result(mysql_query("SELECT COUNT(*) FROM `present` WHERE `podarili`='$id'"), 0);
            if ($colmes) {
                $req = mysql_query("SELECT `present`.*, `users`.`name` AS `nikname` FROM `present` LEFT JOIN `users` ON `present`.`podaril` = `users`.`id` WHERE `present`.`podarili`='$id' ORDER BY `present`.`vr` DESC LIMIT $start, $kmess");
                while ($res = mysql_fetch_array($req)) {
                    echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                    echo '<img src="' . $home . '/images/present/' . $res['present'] . '" alt="Подарок"/><div class="sub">';
                    echo checkout($res['text'], 1, 1) . '<br />' . ($res['type'] ? 'Анонимный подарок, ' : ($res['nikname'] ? 'Подарил(а): <a href="' . $home . '/str/anketa.php?id=' . $res['podaril'] . '">' . $res['nikname'] . '</a>, ' : 'Анонимный подарок, '));
                    echo date("d.m.y", $res['vr'] + $set_user['sdvig'] * 3600);
                    $comms = mysql_result(mysql_query("SELECT COUNT(*) FROM `presentkomm` WHERE `idus`='" . $res['id'] . "'"), 0);
                    echo '<br /><a href="' . $home . '/present/komm_' . $res['id'] . ',0">Комментарии</a> ' . $comms . '</div></div>';
                    ++$i;
                }
            }
            else {
                echo '<div class="menu">Список пуст.</div>';
            }
            echo '<div class="phdr">Всего: ' . $colmes . '</div>';
            if ($colmes > $kmess) {
                echo '<div class="list1"><p>' . navigation($id, $start, $colmes, $kmess) . '</p>';
                echo '<p><form action="' . $id . ',0" method="post"><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p></div>';
            }
            echo '<div class="list2"><a href="' . $home . '/present/?">Мои подарки</a><br /><a href="' . $home . '/str/anketa.php?id=' . $id . '">Вернуться в анкету</a></div>';
            break;
        case 'user_two':
            if ($id && $id != $user_id) {
                $req = mysql_query("SELECT `name` FROM `users` WHERE `id` = '$id' LIMIT 1");
                if (mysql_num_rows($req)) {
                    $user = mysql_fetch_assoc($req);
                    $name_pages = 'Подарил(а): ' . $user['name'];
                }
                else {
                    echo display_error('Такого пользователя не существует');
                    require_once ("../incfiles/end.php");
                    exit;
                }
            }
            else {
                $id = $user_id;
                $name_pages = 'Я подарил(а)';
            }
            echo '<div class="phdr"><b>' . $name_pages . '</b></div>';
            $colmes = mysql_result(mysql_query("SELECT COUNT(*) FROM `present` WHERE `podaril`='$id'"), 0);
            if ($colmes) {
                $req = mysql_query("SELECT `present`.*, `users`.`name` AS `nikname` FROM `present` LEFT JOIN `users` ON `present`.`podarili` = `users`.`id` WHERE `present`.`podaril`='$id' ORDER BY `present`.`vr` DESC LIMIT $start, $kmess");
                while ($res = mysql_fetch_array($req)) {
                    echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                    echo '<img src="' . $home . '/images/present/' . $res['present'] . '" alt="Подарок"/><div class="sub">';
                    echo checkout($res['text'], 1, 1) . '<br />';
                    if ($res['type'])
                        echo 'Анонимный подарок';
                    if ((!$res['type'] || ($res['type'] && $user_id == $id)) && $res['nikname']) {
                        echo (' ' . ($res['type'] ? '(' : '') . '<a href="' . $home . '/str/anketa.php?id=' . $res['podaril'] . '">' . $res['nikname'] . '</a>' . ($res['type'] ? ')' : ''));
                    }
                    echo ', ' . date("d.m.y", $res['vr'] + $set_user['sdvig'] * 3600);
                    $comms = mysql_result(mysql_query("SELECT COUNT(*) FROM `presentkomm` WHERE `idus`='" . $res['id'] . "'"), 0);
                    echo '<br /><a href="' . $home . '/present/komm_' . $res['id'] . ',0">Комментарии</a> ' . $comms . '</div></div>';
                    ++$i;
                }
            }
            else {
                echo '<div class="menu">Список пуст.</div>';
            }
            echo '<div class="phdr">Всего: ' . $colmes . '</div>';
            if ($colmes > $kmess) {
                echo '<div class="list1"><p>' . navigation($id, $start, $colmes, $kmess) . '</p>';
                echo '<p><form action="' . $id . ',0" method="post"><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p></div>';
            }
            echo '<div class="list2"><a href="' . $home . '/present/?">Мои подарки</a><br /><a href="' . $home . '/str/anketa.php?id=' . $id . '">Вернуться в анкету</a></div>';
            break;
        default:
            echo '<div class="phdr"><b>Мои подарки</b></div><div class="menu">';
            $total_present = mysql_result(mysql_query("SELECT COUNT(*) FROM `present` WHERE `podarili`='$user_id'"), 0);
            echo '<a href="' . $home . '/present/user/' . $user_id . ',0">Мне подарили</a> ' . $total_present;
            $total_present_two = mysql_result(mysql_query("SELECT COUNT(*) FROM `present` WHERE `podaril`='$user_id'"), 0);
            echo '</div><div class="menu"><a href="' . $home . '/present/user_two/' . $user_id . ',0">Я подарил(а)</a> ' . $total_present_two;
            echo '</div><div class="phdr">Всего: ' . ($total_present + $total_present_two) . '</div><div class="list2"><a href="' . $home . '/index.php?act=cab">В кабинет</a></div>';
    }
}
else {
    echo display_error('Только для зарегистрированных посетителей');
}
require_once ("../incfiles/end.php");

?>